Jump to content
Korean Random
GPCracker

Маркеры направления орудий на миникарте / Minimap Gun Markers

Recommended Posts

А что про мод пока забыли , а то то что выше постом написано не всем понятно. что и куда , а главное как. 

Share this post


Link to post

Short link
Share on other sites
В 05.04.2018 в 17:02, vasya-sar сказал:

А что про мод пока забыли , а то то что выше постом написано не всем понятно. что и куда , а главное как. 

Мод рабочий. Вот полностью в сборе. Копируй в ...\World_of_Tanks с заменой, если попросит.

mods.zip

Edited by MikR0ReR

Share this post


Link to post

Short link
Share on other sites

Что то пошло  не так , мод так и не захотел работать .В питоне такая ошибка . скачал из ссылки выше.

 

 

2018-04-12 19:26:54.891: WARNING: [WARNING] (scripts/client/gui/mods/__init__.py, 72): There is problem while import gui mod ('gui.mods', 'mod_minimapgunmarkers.pyc')
2018-04-12 19:26:54.893: ERROR: [EXCEPTION] (scripts/client/gui/mods/__init__.py, 74):
Traceback (most recent call last):
  File "scripts/client/gui/mods/__init__.py", line 67, in _findValidMODs
  File "scripts/common/Lib/importlib/__init__.py", line 37, in import_module
  File "MinimapGunMarkers.py", line 29, in <module>
ImportError: XModLib version does not suit this version of application.

Share this post


Link to post

Short link
Share on other sites
38 минут назад, vasya-sar сказал:

Что то пошло  не так , мод так и не захотел работать .В питоне такая ошибка . скачал из ссылки выше.

 

 

2018-04-12 19:26:54.891: WARNING: [WARNING] (scripts/client/gui/mods/__init__.py, 72): There is problem while import gui mod ('gui.mods', 'mod_minimapgunmarkers.pyc')
2018-04-12 19:26:54.893: ERROR: [EXCEPTION] (scripts/client/gui/mods/__init__.py, 74):
Traceback (most recent call last):
  File "scripts/client/gui/mods/__init__.py", line 67, in _findValidMODs
  File "scripts/common/Lib/importlib/__init__.py", line 37, in import_module
  File "MinimapGunMarkers.py", line 29, in <module>
ImportError: XModLib version does not suit this version of application.

 Не подходящая версия библиотеки GPCracker.XModLib_v0.1.13.wotmod. 

0.1.17 попробуй кинь. 

Edited by Scharfhobel

Share this post


Link to post

Short link
Share on other sites
9 минут назад, vasya-sar сказал:

0.17 стоит с аас.

Значит надо GPCracker.XModLib_v0.1.13.wotmod. 

Вместе пахать не будут?

Edited by Scharfhobel

Share this post


Link to post

Short link
Share on other sites
7 часов назад, vasya-sar сказал:

Что то пошло  не так , мод так и не захотел работать .В питоне такая ошибка . скачал из ссылки выше

Читай сообщения на предыдущей странице, уже задавал этот вопрос тут.

Последний хотфикс MGM работает только с XModLib_v0.1.13.

Edited by OKA_RuLiT

Share this post


Link to post

Short link
Share on other sites
5 часов назад, vasya-sar сказал:

Что то пошло  не так , мод так и не захотел работать .В питоне такая ошибка . скачал из ссылки выше.

Заработало?

Share this post


Link to post

Short link
Share on other sites
9 hours ago, Scharfhobel said:

Вместе пахать не будут?

Если установить их вместе (XModLib v0.1.13 и v0.1.17), ошибки скорее всего не будет, просто пакетный менеджер клиента загрузит только последнюю версию пакета.

Share this post


Link to post

Short link
Share on other sites
28 minutes ago, vasya-sar said:

И как с этим бороться?

С этим борюсь я, выпуская обновления совместимости для работы с новыми версиями библиотеки. Но IRL все пошло немного не по плану, и выпустить это обновление для MinimapGunMarkers сразу после выпуска обновленной версии AdvancedAimingSystem не получилось. Потом картошка подкинула еще дополнительного счастья в виде новых коллайдов, которое я до сих пор выгребаю ситечком. Как минимум, основной задачей на данный момент является выпуск более-менее стабильного обновления совместимости для AdvancedAimingSystem, хотя бы в формате хотфикса. С динамическими коллайдами творятся адские вещи, мало того, что коллайды стали крашиться в потоках, так еще и вываливается куча непредсказуемых фантомных ошибок, которые возникают и исчезают неведомым магическим образом (фантомные ошибки - это такие ошибки, которые невозможно предсказуемо воспроизвести).

Собственно, что касается одновременного использования MinimapGunMarkers и AdvancedAimingSystem, варианта сейчас два. Или использовать пока что-то одно, или накатывать фиксы / отключать забагованный функционал для legacy версии AdvancedAimingSystem (v0.2.13), она как раз использует XModLib v0.1.13.

Share this post


Link to post

Short link
Share on other sites
В 14.04.2018 в 11:24, vasya-sar сказал:

Всё понятно, что не чего не понятно . Будем верить и ждать.

Чего верить и ждать?

У меня что у одного работает?

Какие ошибки, где сыпятся?

 

кладем в папку "mods"

стволы.7z

Edited by MikR0ReR

Share this post


Link to post

Short link
Share on other sites
40 минут назад, MikR0ReR сказал:

Чего верить и ждать?

У меня что у одного работает?

Какие ошибки, где сыпятся?

 

кладем в папку "mods"

стволы.7z

Проблема именно при одновременной работе с ААС. Там разные версии библиотек.

Share this post


Link to post

Short link
Share on other sites
4 минуты назад, vasya-sar сказал:

Проблема именно при одновременной работе с ААС. Там разные версии библиотек.

Будьте добры расшифруйте, "ААС" это что?

Share this post


Link to post

Short link
Share on other sites

А где в конфиге, если можно, переключать внешний вид маркеров на миникарте, куда смотрит противник ?

Share this post


Link to post

Short link
Share on other sites
56 минут назад, Andy000 сказал:

А где в конфиге, если можно, переключать внешний вид маркеров на миникарте, куда смотрит противник ?

 

Прикинь ночью сам искал, так как давно не пользовался маркерами, а потом полистал тему и вспомнил что просто нужно закинуть чей то атлас с переделанными маркерами. Пару страниц назад.

Share this post


Link to post

Short link
Share on other sites

Чтоб отображались стволы противника!

В папке "mods\configs\GPCracker.MinimapGunMarkers\modules" в файле "VehicleGunMarkers.xml" конфига замени "False" на "True" в строке:

<!-- Фильтр для противников. Добавляет маркеры для всех противников. -->
<enemy>
            <enabled>False</enabled>
            <activated>True</activated>

 

3 часа назад, Andy000 сказал:

А где в конфиге, если можно, переключать внешний вид маркеров на миникарте, куда смотрит противник ?

Только требуется добавить дополнительные файлы! В конфиге не чего менять не нужно.

я вот брал тут https://koreanrandom.com/forum/topic/18451-маркеры-направления-орудий-на-миникарте-minimap-gun-markers/?do=findComment&comment=406105

Edited by MikR0ReR

Share this post


Link to post

Short link
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...